export const __esModule: boolean;
export namespace FaTagRegEx {
    export { hyphenConnectedAlpha };
    export { simpleFaTag };
    export { styledFaTag };
    export { faTag };
    export { simpleStackingFaTag };
    export { stackingFaTag };
}
declare const hyphenConnectedAlpha: "[a-z0-2]+(-[a-z0-2]+)*";
declare const simpleFaTag: string;
declare const styledFaTag: string;
declare const faTag: string;
declare const simpleStackingFaTag: string;
declare const stackingFaTag: string;
export function detectFaTagPattern(str: any, pos: any, ignoreStyled: any): {
    kind: string;
    tag: string;
    parsed: {
        faClasses: string;
        styleClasses: string;
    } | {
        faClasses: string;
        styleClasses: null;
    };
} | null;
export function tagToString(tag: any): string;
export function addStyleClass(tag: any, styleClass: any): any;
export {};
