export const __esModule: boolean;
/**
 * engine class
 */
export class FontawesomeTagRule {
    constructor(state: any, silent: any);
    _hasFontawesomeTag: boolean | null;
    _startPosOfFaClasses: number;
    _endPosOfFaTag: number;
    _state: any;
    _silent: any;
    get hasFontawesomeTag(): boolean;
    get startPosOfFaClasses(): number;
    get endPosOfFaClasses(): number;
    get endPosOfFaTag(): number;
    get faClasses(): any;
    run(): boolean;
    get _tokenMatchLong(): boolean;
    get _startsWithMark(): boolean;
    get _canFindEndOfMark(): boolean;
    _detectTag(): boolean;
}
/**
 * Entry point of this plugin-engine.
 * Decide the tag is included in current callet of markdown syntax,
 * And inprove callet to next token.
 * @param state - inline parser state
 * @param silent - parse mode (is silent or not)
 * @returns fontawesome-tag is included in current callet wether or not.
 */
export function fontawesome(state: any, silent: any): boolean;
export function registerFontawesomeTag(md: any, opt: any): void;
